# Class TldPreScanned

java.lang.Object
org.apache.jasper.servlet.TldScanner
org.apache.jasper.servlet.TldPreScanned

public class TldPreScanned extends TldScanner
TLD scanner that processes only pre-scanned TLD URLs, skipping JAR scanning.

## Constructor Summary

Constructors
Constructor
Description
`TldPreScanned(ServletContext context, boolean namespaceAware, boolean validation, boolean blockExternal, Collection<URL> preScannedTlds)`
Creates a new TldPreScanned scanner.

## Method Summary

Modifier and Type
Method
Description
`void`
`scanJars()`
Scan for TLDs in JARs in /WEB-INF/lib.

### Methods inherited from class TldScanner

`getListeners, getTldResourcePathTaglibXmlMap, getUriTldResourcePathMap, parseTld, parseTld, scan, scanJspConfig, scanPlatform, scanResourcePaths, setClassLoader`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TldPreScanned

public TldPreScanned(ServletContext context, boolean namespaceAware, boolean validation, boolean blockExternal, Collection<URL> preScannedTlds)
Creates a new TldPreScanned scanner.

Parameters:
  `context` - the servlet context
  `namespaceAware` - whether namespace processing is enabled
  `validation` - whether XML validation is enabled
  `blockExternal` - whether external entities should be blocked
  `preScannedTlds` - the collection of pre-scanned TLD URLs

## Method Details

### scanJars

public void scanJars()
Description copied from class: `TldScanner`
Scan for TLDs in JARs in /WEB-INF/lib.

Overrides:
  `scanJars` in class `TldScanner`